---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libtc03t002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x40B0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51FE0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53F20, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54310, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x552B0, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x552C0, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51C50, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51C54, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51C58, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51DB0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51E68, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x51E6C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51E70, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51E74, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51E78, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51E80, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51E90, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51E98, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51EA0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51EA8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51EB0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51EB8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x51F00, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL16debuggee_threads, symObjAddr: 0x51F40, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x953E, offset: 0x953E, size: 0x8, addend: 0x0, symName: __ZL20debuggee_threads_cnt, symObjAddr: 0x51F48, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9557, offset: 0x9557, size: 0x8, addend: 0x0, symName: __ZL17numberOfDeadlocks, symObjAddr: 0x51F3C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x95A9, offset: 0x95A9, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2D50, symSize: 0x80 }
  - { offsetInCU: 0x963E, offset: 0x963E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2CA0, symSize: 0xB0 }
  - { offsetInCU: 0x9699, offset: 0x9699, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2BA0, symSize: 0x100 }
  - { offsetInCU: 0x992C, offset: 0x992C, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2DD0, symSize: 0xC0 }
  - { offsetInCU: 0x997E, offset: 0x997E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2E90, symSize: 0x220 }
  - { offsetInCU: 0x9B63, offset: 0x9B63, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x30B0, symSize: 0xA0 }
  - { offsetInCU: 0x9C16, offset: 0x9C16, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3150, symSize: 0x110 }
  - { offsetInCU: 0x9D0C, offset: 0x9D0C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3260, symSize: 0x150 }
  - { offsetInCU: 0x9E69, offset: 0x9E69, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x33B0, symSize: 0x30 }
  - { offsetInCU: 0x9F6A, offset: 0x9F6A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x33E0, symSize: 0x150 }
  - { offsetInCU: 0xA162, offset: 0xA162, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3530, symSize: 0x160 }
  - { offsetInCU: 0xA422, offset: 0xA422, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3690, symSize: 0x4A0 }
  - { offsetInCU: 0xA695, offset: 0xA695, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3B30, symSize: 0x1B0 }
  - { offsetInCU: 0xA8B0, offset: 0xA8B0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3CE0, symSize: 0xA0 }
  - { offsetInCU: 0xA9AB, offset: 0xA9AB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3D80, symSize: 0x20 }
  - { offsetInCU: 0xA9E2, offset: 0xA9E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3DA0, symSize: 0x20 }
  - { offsetInCU: 0xAA19, offset: 0xAA19, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3DC0, symSize: 0x20 }
  - { offsetInCU: 0xAB88, offset: 0xAB88, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3DE0, symSize: 0x1A0 }
  - { offsetInCU: 0xAEA4, offset: 0xAEA4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3F80, symSize: 0x130 }
  - { offsetInCU: 0xB054, offset: 0xB054, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4320, symSize: 0x1B0 }
  - { offsetInCU: 0xB343, offset: 0xB343, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x44D0, symSize: 0x80 }
  - { offsetInCU: 0xB40C, offset: 0xB40C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4550, symSize: 0x6A0 }
  - { offsetInCU: 0xBFA1, offset: 0xBFA1, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA600, symBinAddr: 0x5CE0, symSize: 0xB0 }
  - { offsetInCU: 0xC018, offset: 0xC018, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4BF0, symSize: 0x70 }
  - { offsetInCU: 0xC10C, offset: 0xC10C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4C60, symSize: 0xA0 }
  - { offsetInCU: 0xC1EB, offset: 0xC1EB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4D00, symSize: 0x40 }
  - { offsetInCU: 0xC2E1, offset: 0xC2E1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4D40, symSize: 0x2B0 }
  - { offsetInCU: 0xC687, offset: 0xC687, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4FF0, symSize: 0xC0 }
  - { offsetInCU: 0xC7CD, offset: 0xC7CD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x50B0, symSize: 0x10 }
  - { offsetInCU: 0xC88F, offset: 0xC88F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x50C0, symSize: 0x220 }
  - { offsetInCU: 0xCB8C, offset: 0xCB8C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x52E0, symSize: 0x10 }
  - { offsetInCU: 0xCBE9, offset: 0xCBE9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x52F0, symSize: 0x200 }
  - { offsetInCU: 0xCE7C, offset: 0xCE7C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E10, symBinAddr: 0x54F0, symSize: 0x10 }
  - { offsetInCU: 0xCFF3, offset: 0xCFF3, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E20, symBinAddr: 0x5500, symSize: 0x7E0 }
  - { offsetInCU: 0xD84B, offset: 0xD84B, size: 0x8, addend: 0x0, symName: __ZL13printDeadlockP9_jvmtiEnvP7JNIEnv_i, symObjAddr: 0xAA20, symBinAddr: 0x6100, symSize: 0x3E9 }
  - { offsetInCU: 0xDCD6, offset: 0xDCD6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA6B0, symBinAddr: 0x5D90, symSize: 0x370 }
...
